## ncsa.hdf.hdf5lib
Class ArrayDescriptor

    java.lang.Object
      ncsa.hdf.hdf5lib.ArrayDescriptor

class ArrayDescriptor
extends Object

This private class is used by HDFArray to discover the shape and type of an arbitrary array.

We use java.lang.reflection here.

Field Summary
`(package private) static int[]` `bytetoindex`
`(package private) static String` `className`
`(package private) static int[]` `currentindex`
`(package private) static int[]` `dimlen`
`(package private) static int` `dims`
`(package private) static int[]` `dimstart`
`(package private) static char` `NT`
`(package private) static int` `NTsize`
`(package private) static Object[]` `objs`
`(package private) static Class` `theClass`
`(package private) static String` `theType`
`(package private) static int` `totalSize`

Constructor Summary
`ArrayDescriptor(Object anArray)`

Method Summary
`void` `dumpInfo()` Debug dump

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theType

    static String theType

### theClass

    static Class theClass

### dimlen

    static int[] dimlen

### dimstart

    static int[] dimstart

### currentindex

    static int[] currentindex

### bytetoindex

    static int[] bytetoindex

### totalSize

    static int totalSize

### objs

    static Object[] objs

### NT

    static char NT

### NTsize

    static int NTsize

### dims

    static int dims

### className

    static String className

Constructor Detail

### ArrayDescriptor

    public ArrayDescriptor(Object anArray)
                    throws HDF5Exception

Method Detail

### dumpInfo

    public void dumpInfo()

  Debug dump